Bug 692595 - bind-9.3.6-4.P1.el5 fails under high (bulk lookup) query load
Summary: bind-9.3.6-4.P1.el5 fails under high (bulk lookup) query load
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: bind
Version: 5.5
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: rc
: ---
Assignee: Adam Tkac
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-31 16:11 UTC by ryanfox
Modified: 2013-03-12 12:38 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 553334
Environment:
Last Closed: 2013-03-12 12:38:07 UTC


Attachments (Terms of Use)
gdb bt from crash (7.33 KB, text/plain)
2011-03-31 22:53 UTC, ryanfox
no flags Details

Description ryanfox 2011-03-31 16:11:05 UTC
+++ This bug was initially created as a clone of Bug #553334 +++

Description of problem:
Same symptoms as 553334.  Bind 9.3.6-4.P1 crashes under high load on occassion.

Restarting the bind instance affected fixes the problem.
I obtained the gdb output requested from the previous ticket.  It is attached.


--- Additional comment from atkac@redhat.com on 2010-03-30 08:36:28 EDT ---

Would it be possible to install bind-debuginfo package and get backtrace from hanged named process, please?

- run "gdb attach <named_pid>"
- in the gdb prompt run "t a a bt full"
- attach output here

Comment 1 Ondrej Vasik 2011-03-31 19:07:06 UTC
No attachment is here... please add it.

Comment 2 ryanfox 2011-03-31 22:53:25 UTC
Created attachment 489258 [details]
gdb bt from crash

Comment 3 Adam Tkac 2011-04-11 09:44:08 UTC
(In reply to comment #2)
> Created attachment 489258 [details]
> gdb bt from crash

I cannot figure why named stops responding from backtrace. Can you please obtain following logs as well?

1. When named stops to respond to queries, attach it via strace, perform a query (via dig for example) and then attach strace output here, please.

2. Obtain verbose logs - set named as written in https://bugzilla.redhat.com/show_bug.cgi?id=584356#c11 and then attach named.run* files.

Thank you in advance.

Comment 4 RHEL Product and Program Management 2011-05-31 15:49:28 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.

Comment 5 Adam Tkac 2013-03-12 12:38:07 UTC
Since there was no response for needinfo for more than 18 months and RHEL 5 is now in production phase 2 (only important/critical bugs are fixed), I'm closing this bug. Please either upgrade to RHEL-6 or install bind97 package which shouldn't crash.


Note You need to log in before you can comment on or make changes to this bug.